Opera pod Ubuntu - problemy z instalacją


(E Mr Koka) #1

Mam Ubuntu i problemy z instalacją opery,i chyba wiem z jakikego powodu, mienowicie jest nim brak paczki libqt3-mt ale niema pojęcia z kąd ją ściągnąć, na google szukałem, to zaprowadiło mnie to na kadu ale na jego stronie takrze jej niebyło :? . Oto kod który mi zwraca podczas instalacji (a raczej przy próbie instalacji :smiley: )

koka@koka-desktop:~/Desktop/opera-9.01-20060728.6-shared-qt.i386-en-400$ ./opera

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.

ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.

./bin/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.

ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.

koka@koka-desktop:~/Desktop/opera-9.01-20060728.6-shared-qt.i386-en-400$ man dpkg

Reformatting dpkg(1), please wait...

koka@koka-desktop:~/Desktop/opera-9.01-20060728.6-shared-qt.i386-en-400$ cd ..

koka@koka-desktop:~/Desktop$ dpkg -i opera.deb

dpkg: żądana operacja wymaga uprawnień administratora

koka@koka-desktop:~/Desktop$ sudo dpkg -i opera.deb

(Odczytywanie bazy danych ... 86611 plików i katalogów obecnie zainstalowanych.)Przygotowanie do zastąpienia opera 9.01-20060728.6 (wykorzystując opera.deb) ...Rozpakowanie pakietu zastępującego opera ...

dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie opera:

 opera zależy od libqt3-mt (>= 3.3.4); jednakże:

  Pakiet libqt3-mt nie jest zainstalowany.

dpkg: błąd przetwarzania opera (--install):

 problemy z zależnościami - pozostawiony nieskonfigurowany

Wystąpiły błędy podczas przetwarzania:

 opera

Urzywałem do instalacji polecenia


(nero) #2

tutaj jest szukany pakiet :slight_smile:

http://packages.ubuntulinux.org/edgy/libs/libqt3-mt

pozdrawiam


#3

A QT masz zainstalowane?

Pozatym,

nie jest poleceniem do instalacji Opery. Żeby zainstalować musisz użyć skryplu Install który jest w tym samym katalogu.


(Sawyer47) #4

Ja ściągnąłem z opera.com paczkę dedykowaną Dapper Drake, kliknąłem prawym - Otwórz za pomocą Instalator pakietów Gdebi i się zainstalowała. Owszem, Gdebi zgłosił niespełnione zależności, ale działa i nie ma najmniejszych problemów.

nero podałeś adres do paczki z edgy eft.... w dapperze jest ta sama wersja pakietu - 3.3.3.6, a opera wymaga 3.3.3.4 lub starszej, ale działa też na tej która jest w ubuntu. (możliwe, że w standardowej instalacji ubuntu nie ma tego pakietu, ale musi być w Synapticu.)


(Woocash304) #5

ja sprawdzałem kiedys operę i zassałem ją z repo, działała dobrze

mysle, że tez mozesz uzyć reop, a nie samodzielnie kompilować


#6

Kompilować? A od kiedy to udostępniane są źródła Opery do kompilacji?


(system) #7

KoloKarolo - ściągnij stąd, kliknij 2 razy i będziesz miał Operkę.


(D4r3ks) #8

a co za różnica między tym co ściągnął a tym z twojego linka?


(system) #9

Taka, że on tą swoją próbuje zainstalować z konsoli, skoro może 2 razy kliknąć i sama się zainstaluje.


(D4r3ks) #10

przecież to .deb, ta sama wersja. z konsoli jest lepiej bo pokazuje błędy


(E Mr Koka) #11

Oki juz jest wszsytko ok, tylko teraz mam kolejne pytanie,jak ustawić opere jako domyślną przeglądarkę i jak zainstalować firefox thunerbird'a


(Sawyer47) #12

System -> Preferencje -> Preferowane aplikacje

??

chyba mozille thunderbirda ? JAK ZAINSTALOWAĆ? To po co instalowałeś ubuntu, jeżeli tego nie wiesz? ech.. dobra będę miły... chwyć swoją myszkę, pokieruj kursorem w lewy górny róg ekranu, znajdź napis Aplikacje, odpocznij chwile - to kosztowało Cię wiele wysiłku - kliknij w Aplikacje, zjedź na sam dół... aaa co za windowsowa nazwa! - Dodaj/usuń... - zgadnij do czego służy....


(Asterisk) #13

Po to jest forum, by pytać :evil:


(Sawyer47) #14

Ale przecież trzeba baaardzo nie chcieć sie tego dowiedzieć od wujka google, żeby pytać o takie rzeczy na forum. Może jeszcze ktoś zapyta: "która godzina?"


(freedom) #15

a może przez konsole (Terminal)?

sudo apt-get install thunderbird (ew. Thunderbird).

hm... ale skoro masz Ubuntu to powinieneś mieć go od początku.

chyba, że masz Kubuntu lub Xubuntu.


(Sawyer47) #16

przez konsole:

sudo apt-get install mozilla-thunderbird

nie ma defaultowo w Ubuntu thunderbirda, jest Evolution.


(freedom) #17

faktycznie, sory za błąd.

używam Kubuntu więc nie byłem pewien. myślałem, że skoro Firefox jest to i Thunderbird :slight_smile:


(D4r3ks) #18

ja mam ubuntu z xfce (wczesnije gnome) i mam thunderbirda (nie instalowalem go)


(E Mr Koka) #19

Dzięki za odpowiedzi :slight_smile: Nawet te od ciebie nr47

A wujek :google:


(freedom) #20

http://easylinux.info/wiki/Ubuntu_dapper_pl

przecież tu jest prawie wszystko :slight_smile: